ANSIBuffer
Date: 2015-12-09

jline

## Class ANSIBuffer

- java.lang.Object
- - jline.ANSIBuffer

-     public class ANSIBuffer
      extends java.lang.Object

  A buffer that can contain ANSI text.
  Author:
    Marc Prud'hommeaux

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ANSIBuffer.ANSICodes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ANSIBuffer()`
    `ANSIBuffer(java.lang.String str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ANSIBuffer` | `append(java.lang.String str)`
    `ANSIBuffer` | `attrib(java.lang.String str, int code)`
    `ANSIBuffer` | `black(java.lang.String str)`
    `ANSIBuffer` | `blink(java.lang.String str)`
    `ANSIBuffer` | `blue(java.lang.String str)`
    `ANSIBuffer` | `bold(java.lang.String str)`
    `ANSIBuffer` | `cyan(java.lang.String str)`
    `java.lang.String` | `getAnsiBuffer()`
    `boolean` | `getAnsiEnabled()`
    `java.lang.String` | `getPlainBuffer()`
    `ANSIBuffer` | `green(java.lang.String str)`
    `ANSIBuffer` | `magenta(java.lang.String str)`
    `static void` | `main(java.lang.String[] args)`
    `ANSIBuffer` | `red(java.lang.String str)`
    `ANSIBuffer` | `reverse(java.lang.String str)`
    `void` | `setAnsiEnabled(boolean ansi)`
    `java.lang.String` | `toString()`
    `java.lang.String` | `toString(boolean ansi)`
    `ANSIBuffer` | `underscore(java.lang.String str)`
    `ANSIBuffer` | `yellow(java.lang.String str)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ANSIBuffer

          public ANSIBuffer()

    - #### ANSIBuffer

          public ANSIBuffer(java.lang.String str)

  - ### Method Detail

    - #### setAnsiEnabled

          public void setAnsiEnabled(boolean ansi)

    - #### getAnsiEnabled

          public boolean getAnsiEnabled()

    - #### getAnsiBuffer

          public java.lang.String getAnsiBuffer()

    - #### getPlainBuffer

          public java.lang.String getPlainBuffer()

    - #### toString

          public java.lang.String toString(boolean ansi)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### append

          public ANSIBuffer append(java.lang.String str)

    - #### attrib

          public ANSIBuffer attrib(java.lang.String str,
                          int code)

    - #### red

          public ANSIBuffer red(java.lang.String str)

    - #### blue

          public ANSIBuffer blue(java.lang.String str)

    - #### green

          public ANSIBuffer green(java.lang.String str)

    - #### black

          public ANSIBuffer black(java.lang.String str)

    - #### yellow

          public ANSIBuffer yellow(java.lang.String str)

    - #### magenta

          public ANSIBuffer magenta(java.lang.String str)

    - #### cyan

          public ANSIBuffer cyan(java.lang.String str)

    - #### bold

          public ANSIBuffer bold(java.lang.String str)

    - #### underscore

          public ANSIBuffer underscore(java.lang.String str)

    - #### blink

          public ANSIBuffer blink(java.lang.String str)

    - #### reverse

          public ANSIBuffer reverse(java.lang.String str)

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`